summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2012-11-24 22:27:06 +0000
committerMike Frysinger <vapier@gentoo.org>2012-11-24 22:27:06 +0000
commite4e483eaec7efc3493efb302e2606eff0bd71544 (patch)
tree28d5a68983e7c2add6ef98f203ecb0aa4e4634fd /eclass
parentRemove old and b0rken (diff)
downloadgentoo-2-e4e483eaec7efc3493efb302e2606eff0bd71544.tar.gz
gentoo-2-e4e483eaec7efc3493efb302e2606eff0bd71544.tar.bz2
gentoo-2-e4e483eaec7efc3493efb302e2606eff0bd71544.zip
if uClibc is built w/out shared lib support (like nommu), then pass in --disable-shared #291870 by Petric Frank
Diffstat (limited to 'eclass')
-rw-r--r--eclass/toolchain.eclass12
1 files changed, 10 insertions, 2 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index b0dcc9688d8e..050ea2cefc39 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.558 2012/11/24 21:20:02 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.559 2012/11/24 22:27:06 vapier Exp $
#
# Maintainer: Toolchain Ninjas <toolchain@gentoo.org>
@@ -1125,7 +1125,15 @@ gcc_do_configure() {
*-freebsd*) needed_libc=freebsd-lib;;
*-gnu*) needed_libc=glibc;;
*-klibc) needed_libc=klibc;;
- *-uclibc*) needed_libc=uclibc;;
+ *-uclibc*)
+ if ! echo '#include <features.h>' | \
+ $(tc-getCPP ${CTARGET}) -E -dD - 2>/dev/null | \
+ grep -q __HAVE_SHARED__
+ then #291870
+ confgcc+=" --disable-shared"
+ fi
+ needed_libc=uclibc
+ ;;
*-cygwin) needed_libc=cygwin;;
x86_64-*-mingw*|\
*-w64-mingw*) needed_libc=mingw64-runtime;;